Package org.eclipse.emf.cdo.transfer

## Interface CDOTransfer.PathProvider

- Enclosing class:
    CDOTransfer

      public static interface CDOTransfer.PathProvider

  Provides the path of a transfer element relative to its parent.
  Since:
    4.3
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CDOTransfer.PathProvider` | `DEFAULT` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IPath` | `getPath​(CDOTransferElement element)` |

- - ### Field Detail

    - #### DEFAULT

          static final CDOTransfer.PathProvider DEFAULT

  - ### Method Detail

    - #### getPath

          IPath getPath​(CDOTransferElement element)